#include <stdio.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <stdlib.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/stat.h>
#include <signal.h>
#include <pthread.h>
#include <semaphore.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "basedef.h"

pthread_attr_t SocketAttribut;
pthread_t      p_SocketThread;

int ClientSocket;

struct sockaddr_in ClientAddress,ServerAddress;

unsigned char Buffer[200000];

void  SendCommand(int i_Value)
{
   int i_BindResult;
   int i_ConnectResult;
   int i_RecvResult;
   int i_SendResult;

   ClientSocket = socket(PF_INET,SOCK_DGRAM,0);
   if(ClientSocket == -1)
   {
      fprintf(stderr,"Invalid Server Socket\n");
   }

   ClientAddress.sin_family      = PF_INET;
   ClientAddress.sin_addr.s_addr = inet_addr("127.0.0.1");;
   ClientAddress.sin_port        = DEFAULT_SERVER_PORT;
   
   i_BindResult = bind(ClientSocket,
                       (struct sockaddr *) &ClientAddress,
                       sizeof(ClientAddress));   


   Buffer[0] = (char) i_Value;
   Buffer[1] = 0x0;
   Buffer[2] = 0x0;
   Buffer[3] = 0x0;

   i_SendResult = sendto(ClientSocket,
                         Buffer,
                         4,
                         0,
                         (struct sockaddr *) &ClientAddress,
                         sizeof(ClientAddress)
                        );


  fprintf(stderr,"Command sent\n");


} // SendCommand

void Usage()
{
   fprintf(stderr,"Usage: KHdRecordRemote <command>\n");
   fprintf(stderr,"<command> is -start -stop or -split\n");
   exit(1);

}

//=========================================================================

int main(int argc, char * argv[])
{
   int i_Value ;

   // we need one parameter
   if(argc <2)
   {
      Usage();
   }

   i_Value =0;

   if(strcmp(argv[1],"-start") ==0)
   {
      i_Value =1;
   }
   if(strcmp(argv[1],"-stop") ==0)
   {
      i_Value =2;
   }
   if(strcmp(argv[1],"-split") ==0)
   {
      i_Value =3;
   }

   if(i_Value != 0)
   {
      SendCommand(i_Value);
   }
   else
   {
      Usage();
   }


} // main()


