
#include <qapplication.h>

#include <qdialog.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qslider.h>
#include <qlabel.h>
#include <qcolor.h>



class HdRecord;


class TimedSplitBox : public QDialog
{
  Q_OBJECT
public:
   TimedSplitBox(QWidget *parent=0,
               HdRecord *theApplication=NULL);

private:
   HdRecord *p_TheApplication;

   QPushButton  *m_OKButton;
   QPushButton  *m_CancelButton;
   QLineEdit    *m_TimeEdit;
   bool         m_b_TimeValid;
   int          m_i_CurrentTime;
   
  
   void    SetButtonSensitivity();
   
   void    RefreshDisplay();
   void    SetDefaultValues();
   
   

public slots:
   void OKPressed();
   void CancelPressed();


   void DoTimeChanged(const QString &);


}; // class TimedSplitBox
